#ifndef TZ51_ihm
#define TZ51_ihm

#include "Arduino.h"
#include <SoftwareSerial.h>
#include "TZ51_TimerOne.h"

class TZ51_IHM {
  private:
  SoftwareSerial * serial;  

  public:
    TZ51_IHM(SoftwareSerial * ss);
    void begin(uint32_t baud);
    int lire_octet();
    int bt_read();
	void send(String s);
	void sendcmd(String s1,String s2);
	void sendcmd1(String s1,int n1);
	void sendcmd2(String s1,String s2,String s3);
    int available();
    void BTinterrupt();
    String stringOne = "";
	boolean change();
	boolean testBtn(int num);
	boolean testInter(int num);
	unsigned int readPotar(int num);
	String floatToString(float valeur,int precision);

    //void initTimer1();
    // other prototypes
};

    
#endif
